Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1112705 - Review Request: php-pecl-solr2 - Object oriented API to Apache Solr
Review Request: php-pecl-solr2 - Object oriented API to Apache Solr
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-24 10:03 EDT by Remi Collet
Modified: 2014-08-07 07:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-pecl-solr2-2.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-01 02:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review.txt (8.14 KB, text/plain)
2014-07-21 15:34 EDT, Shawn Iwinski
no flags Details
phpcompatinfo.log (12.50 KB, text/x-log)
2014-07-21 15:35 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-06-24 10:03:59 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/2541ba9d3b2a331dc2f2987fe661c50270d2195d/php/pecl/php-pecl-solr2/php-pecl-solr2.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-solr2-2.0.0-1.remi.src.rpm
Description: 
It effectively simplifies the process of interacting with Apache Solr using
PHP5 and it already comes with built-in readiness for the latest features.

The extension has features such as built-in, serializable query string builder
objects which effectively simplifies the manipulation of name-value pair
request parameters across repeated requests.

The response from the Solr server is also automatically parsed into native php
objects whose properties can be accessed as array keys or object properties
without any additional configuration on the client-side.

Its advanced HTTP client reuses the same connection across multiple requests
and provides built-in support for connecting to Solr servers secured behind
HTTP Authentication or HTTP proxy servers. It is also able to connect to
SSL-enabled containers.

Please consult the documentation for more details on features.
  http://php.net/solr

Warning: PECL Solr 2 is not compatible with Solr Server < 4.0
PECL Solr 1 is available in php-pecl-solr package.

Fedora Account System Username: remi


Notice: php-pecl-solr is the same extension. V1 is maintained (upstream) and is compatible with Solr Server < 4.0
This extension can only be load once in PHP, so the conflicts.

Test build: http://copr.fedoraproject.org/coprs/remi/morephp/monitor/
Comment 1 Shawn Iwinski 2014-07-21 15:34:33 EDT
Created attachment 919745 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1112705
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Shawn Iwinski 2014-07-21 15:35:14 EDT
Created attachment 919746 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 3 Shawn Iwinski 2014-07-21 15:35:43 EDT
No blockers.

===== APPROVED =====
Comment 4 Remi Collet 2014-07-21 15:47:53 EDT
Thanks!

New Package SCM Request
=======================
Package Name: php-pecl-solr2
Short Description: Object oriented API to Apache Solr 
Upstream URL: http://pecl.php.net/package/solr
Owners: remi
Branches: f19 f20 f21 el6 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2014-07-21 16:10:35 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2014-07-22 05:10:40 EDT
php-pecl-solr2-2.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pecl-solr2-2.0.0-1.el6
Comment 7 Fedora Update System 2014-07-22 05:10:47 EDT
php-pecl-solr2-2.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-pecl-solr2-2.0.0-1.fc19
Comment 8 Fedora Update System 2014-07-22 05:10:53 EDT
php-pecl-solr2-2.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-pecl-solr2-2.0.0-1.fc20
Comment 9 Fedora Update System 2014-07-22 14:08:20 EDT
php-pecl-solr2-2.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2014-08-01 02:00:16 EDT
php-pecl-solr2-2.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2014-08-01 02:05:36 EDT
php-pecl-solr2-2.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2014-08-07 07:44:46 EDT
php-pecl-solr2-2.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.